Skip to content

PaymentTokenID unbinding

  • Endpoint: POST /delSuffixStart2
  • Tags: Collection Service /Payment Tokenization

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30The unique mark assigned to the merchant by PayerMax
bizTypestringYesmaxLength: 30Business code, this interface needs to pass in “removePaymentToken”
versionstringYesmaxLength: 5API version. Current value: :2.6
userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
paymentTokenIDstringYesmaxLength: 64PMMax token
removeReasonstringNomaxLength: 256Reason for removing

Example

json
{
  "merchantId": "SP10020321",
  "bizType": "removePaymentToken",
  "version": "2.6",
  "userId": "102332",
  "paymentTokenID": "PMTOKEN20220906143826136639700000000",
  "removeReason": "remove token"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 10Return code
messagestringNomaxLength: 256Return message
dataobjectYesResponse body,It consists of common parameters and specific parameters,refer to the below【data parameters】
data.merchantIdstringYesmaxLength: 30Merchant Id
data.userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
data.paymentTokenIDstringYesmaxLength: 64PMMax token
data.paymentTokenStatusstringYesmaxLength: 16token status

Response Example

json
{
  "bizCode": "0000",
  "message": "",
  "data": {
    "userId": "1212",
    "paymentTokenID": "PMTOKEN20220906143826136639700000000",
    "paymentTokenStatus": "UNBINDING"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.